Week 5 Discussion

 
Picture of Laendner Geoffrey
Week 5 Discussion
by Laendner Geoffrey - Friday, July 19, 2013, 11:31 AM
 

Moodle Online Discussion: How has your understanding of Strategic Planning evolved over the course of this class? Can you apply the material on Strategic Planning to your thesis?Are other courses taken in this program clearer?(3.0hrs)

 

 
Picture of Franceschini Charles
Re: Week 5 Discussion
by Franceschini Charles - Wednesday, August 14, 2013, 2:11 PM
 

My understanding of Strategic Planning total changed after taking this course.  These strategies can be applied for business, and personal goals.  I realized there are many ways to attack a problem.  Just because someone thinks the bubble has burst on a product, design or idea does not mean its dead. You need to look beyond the obvious, gather your intelligence and make a decision on how to achieve your goals.  I can apply the SWOT analysis to my Thesis. 

Picture of Masci Jeffrey
Re: Week 5 Discussion
by Masci Jeffrey - Sunday, August 18, 2013, 9:23 AM
 

I agree with Charles. These strategic planning methods can be applied both personally and in the business world. I can also use the SWOT method for thesis as well.  Learning these methods of planning can really have a positive impact on the way you solve problems and plan certain assignments in everyday life situations at work and at home. 

Picture of Marsden Mallory
Re: Week 5 Discussion
by Marsden Mallory - Wednesday, August 14, 2013, 3:14 PM
 

My understanding changed a great deal after taking this course. It opened up new ways of doing business and planning, not only in the work place but in life as well. I was enlightened by Michael Mankin’s seven rules for successful strategy. I truly believe all seven rules can be applied to life in general, whether it is something that you are trying to obtain for one’s self to achieve as a personal goal or something you want to apply in the use of your personal business or even department. I learned a lot of information that I can apply to my thesis and further understanding of the degree. I thoroughly enjoyed this class and look forward to using this information and material in the future.

Picture of Sparta Cathy
Re: Week 5 Discussion
by Sparta Cathy - Friday, August 16, 2013, 11:26 AM
 

I agree with Mallory, I really liked Michael Mankins seven rules and i really think they can be applied successfully to many different businesses and situtations.

 

Picture of Franceschini Charles
Re: Week 5 Discussion
by Franceschini Charles - Saturday, August 17, 2013, 5:23 PM
 

I agree with Mallory having the correct strategic plan will always keep you on point, and help you achieve your goals.

Picture of Sparta Cathy
Re: Week 5 Discussion
by Sparta Cathy - Friday, August 16, 2013, 11:31 AM
 

I learned a great deal from about strategic planning from this course. I had really never even heard of strategic planning. After taking the course i realize how important having a good plan can be to the success of any company. I also think it definitely applies to my thesis. My topic is all about how to make a large change in an area that has been doing the minimum to get by for years. Everyone just thinks it has to be done that way because that just is the way it is.I believe having the right strategic plan is what will make the No Kill movement a success.

Picture of Dominquez Ricardo
Re: Week 5 Discussion
by Dominquez Ricardo - Friday, August 16, 2013, 10:29 PM
 

I believe i have evolve with strategic planning in this course. Just on the knowledge learn i can apply to my work field. and daily life. I believe i can apply stragetic planning to my thesis because writing a thesis takes alot of planning first of all, and then you haveto have some type of strategy when putting it together. 

Picture of Crane Douglas
Re: Week 5 Discussion
by Crane Douglas - Saturday, August 17, 2013, 8:12 PM
 

I think we have all used some of these strategic plans with out even knowing it in our personel lives. Two of them i did not even realize until we took this class. It will apply to my thesis and to everyones. We have all planned our careers and layed out stragities and goals in our lives. We are attending college to improve our lives and move up in the company. These are not things we just said ok I will attend, it was planned and much thought has been applied.

Picture of Masci Jeffrey
Re: Week 5 Discussion
by Masci Jeffrey - Sunday, August 18, 2013, 9:03 AM
 

My my understanding of strategic planning has evolved over the course of this class dramatically.  By learning these new ways of attacking a problem or planning a strategy, I can now apply them in my home life as well as at work today and in the future.  I've can definitely use these new methods to better my productivity personally and professionally, as well as on my thesis subject.  It is quite amazing how something that can seem so difficult can be made so much easier if you can recognize what type of strategic planning style fits best for the situation you are tackling and apply it to eventually come up with a solution. Reading the articles assigned by the professor and seeing how strategic planning is used in real life business situation really opened my eyes to see how effective these plans really work.  

Picture of Duncan James
Re: Week 5 Discussion
by Duncan James - Monday, August 19, 2013, 6:59 AM
 

I beleive we have touched on many different styles of statigic planning which I can use not only in the bussiness world but also in my personal life.  Taking the time to plan out jobs and assign them to workers can be approached in a few diffenent ways and also the de;legation of tasks can be made clear to the supervisors workers and even to the customers using the styles we learned about this semester.  I beleive Geoff makes his discussions relate to the business world that we all work in today, was a great experience and I learned alot.

 

Picture of Whelan Sean
Re: Week 5 Discussion
by Whelan Sean - Monday, August 19, 2013, 3:39 PM
 
My understanding of Strategic Planing has grown since taking this course. I will use the many great techniques shared in class and illustrated in our textbook. Through assignments and discussion I was able to get better grasp on strategic planning and will implement what i learned in class to help write my thesis. Prof. Laendners help in our breakdown and planning for thesis writing was very much appreciated.